### Constructor

# ICalGLib Time new_from_timet_with_zone

since: 1.0

#### Declaration [src]

    ICalTime*
    i_cal_time_new_from_timet_with_zone (
      const time_t v,
      gboolean is_date,
      ICalTimezone* zone
    )

#### Description [src]

Converts seconds past UNIX epoch to a timetype, using timezones.

Available since: 1.0

#### Parameters

`v`

  Type: `const time_t`

  The seconds past since epoch time.

`is_date`

  Type: `gboolean`

  Whether it is a date type, true if yes, false if not.

`zone`

  Type: `ICalTimezone`

  The timezone, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `ICalTime`

The newly created `ICalTime`.

The caller of the function takes ownership of the data, and is responsible for freeing it.